## ccfits 2.3

=== debian/changelog ===
ccfits (2.3-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Relibtoolize (closes: bug#649140).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 20 Nov 2011 23:48:37 +0100

ccfits (2.3-4) unstable; urgency=low

  * Build depends on doxygen-latex instead of doxygen (closes: 
    bug#634589). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 19 Jul 2011 22:57:20 +0200

ccfits (2.3-3) unstable; urgency=low

  * Bumped Standards-Version to 3.9.2 (no changes).
  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libccfits0 and set it 
      Multi-Arch: same.
    - Install the library in the multiarch path.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 15 Jun 2011 22:09:40 +0200

ccfits (2.3-2) unstable; urgency=low

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 12:05:16 +0100

ccfits (2.3-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental.
  * Update Standards-Version to 3.9.1:
    - drop .la file.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Dec 2010 17:11:17 +0100

ccfits (2.2-2) unstable; urgency=low

  * Build-depends on texlive-font-utils to get epstopdf (closes: bug#562314).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Dec 2009 15:25:49 +0100

ccfits (2.2-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Nov 2009 07:57:46 +0000

ccfits (2.1-2) unstable; urgency=low

  * Build-depends on autotools-dev and update config.guess/sub before
    running configure (closes: bug#544585).
  * Update Standards-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Sep 2009 18:12:17 +0000

ccfits (2.1-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Dec 2008 23:39:29 +0100

ccfits (2.0-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Apr 2008 08:45:47 +0200

ccfits (1.8-3) unstable; urgency=low

  * Add missing #includes to fix FTBFS with gcc-4.3 (closes: bug#462115).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 23 Jan 2008 09:05:13 +0100

ccfits (1.8-2) unstable; urgency=low

  * Don't call build-indep in build: target. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Jan 2008 03:51:47 +0100

ccfits (1.8-1) unstable; urgency=low

  * Initial Release (closes: bug#458767).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Jan 2008 19:14:42 +0100
