=== debian/control ===
Source: ccfits
Section: libs
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 8.1.3), libcfitsio3-dev (>= 3.08), autotools-dev, chrpath
Build-Depends-Indep: doxygen-latex, ghostscript, texlive, texlive-extra-utils, texlive-font-utils
Standards-Version: 3.9.2
Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/

Package: libccfits0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for I/O with FITS format data files 
 CCfits is an object oriented interface to the cfitsio library. It is 
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the 
 C++ Standard Library with namespaces, exception handling, and member 
 template functions. 
 .
 This package contains what you need to run programs that use this
 library.

Package: libccfits-dev
Section: libdevel
Architecture: any
Depends: libccfits0 (= ${binary:Version}), libcfitsio3-dev (>= 3.02), ${misc:Depends}
Description: static library for I/O with FITS format data files
 CCfits is an object oriented interface to the cfitsio library. It is 
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the 
 C++ Standard Library with namespaces, exception handling, and member 
 template functions. 
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

Package: libccfits-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for CCfits
 CCfits is an object oriented interface to the cfitsio library. It is 
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the 
 C++ Standard Library with namespaces, exception handling, and member 
 template functions. 
 .
 This package contains the CCFits reference manual in html and PDF 
 format.
