## ccfits 2.4

=== debian/changelog ===
ccfits (2.4-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (no changes).
  * Switch to dh.
  * Pass --with autoreconf to dh (closes: #736386).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Apr 2014 22:15:37 +0200

ccfits (2.4-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Apr 2012 22:47:01 +0200
