=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 8.1.3), libcfitsio3-dev (>= 3.08), autotools-dev, chrpath
-Build-Depends-Indep: doxygen-latex, ghostscript, texlive, texlive-extra-utils, texlive-font-utils
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libcfitsio3-dev (>= 3.08)
+Build-Depends-Indep: doxygen-latex
+Standards-Version: 3.9.5
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/
 
 Package: libccfits0
