=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-shared \
		             --with-cfitsio-include=/usr/include \
			     --with-cfitsio-libdir=/usr/lib

override_dh_auto_build-indep:			     
	$(MAKE) docs
	$(MAKE) -C latex

override_dh_install:
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/libCCfits.so.*
	dh_install
