## ccfits 2.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: libs
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libcfitsio3-dev (>= 3.08)
+Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libcfitsio-dev, g++ (>= 4:5.2)
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/
 
-Package: libccfits0
+Package: libccfits0v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libccfits0
+Replaces: libccfits0
 Description: shared library for I/O with FITS format data files 
  CCfits is an object oriented interface to the cfitsio library. It is 
  designed to make the capabilities of cfitsio available to  programmers
@@ -26,7 +28,7 @@
 Package: libccfits-dev
 Section: libdevel
 Architecture: any
-Depends: libccfits0 (= ${binary:Version}), libcfitsio3-dev (>= 3.02), ${misc:Depends}
+Depends: libccfits0v5 (= ${binary:Version}), libcfitsio-dev, ${misc:Depends}
 Description: static library for I/O with FITS format data files
  CCfits is an object oriented interface to the cfitsio library. It is 
  designed to make the capabilities of cfitsio available to  programmers
