## ccfits 2.4+dfsg

=== debian/changelog ===
ccfits (2.4+dfsg-3ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 07:51:30 +0000

ccfits (2.4+dfsg-3) unstable; urgency=medium

  * Repack sources without the documentation to make lintian happy, as
    it is rebuilt anyway during the build process.
  * (Build-)Depends on libcfitsio-dev instead of libcfitsio3-dev.
  
 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Sep 2014 23:03:53 +0200
