=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: ccfits
 Section: libs
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libcfitsio-dev, g++ (>= 4:5.2)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libcfitsio-dev
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.6
+Standards-Version: 3.9.5
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/
 
 Package: libccfits0v5
@@ -13,7 +14,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libccfits0
+Conflicts: libccfits0
 Replaces: libccfits0
 Description: shared library for I/O with FITS format data files 
  CCfits is an object oriented interface to the cfitsio library. It is
