## ccfits 2.5%2Bdfsg

=== debian/changelog ===
ccfits (2.5+dfsg-1build1) zesty; urgency=medium

  * Rebuild against libcfitsio5

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 28 Nov 2016 13:33:53 +0000

ccfits (2.5+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 18 Oct 2016 20:49:29 +0200

ccfits (2.4+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 04 Aug 2015 00:18:22 +0200

ccfits (2.4+dfsg-4) experimental; urgency=medium

  * Upload to experimental.
  * Rename libccfits0 into libccfits0v5 for the GCC 5 ABI transition.
  * Force C++ standard to c++11 to prepare for the GCC 6 transition.
  * Build-depends on g++ (>= 4:5.2).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Aug 2015 13:19:48 +0200
