## ccfits 2.5+dfsg

=== debian/changelog ===
ccfits (2.5+dfsg-2build1) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:44:35 +0100

ccfits (2.5+dfsg-2) unstable; urgency=medium

  * Add debian/patches/03-doxygen-fixes.patch to fix latex build issues with
    recent doxygen versions.  Closes: #943423.
  * Switch to debhelper 12.
  * Set Rules-Requires-Root: no.
  * Mark libccfits-dev as Multi-Arch: same.
  * Mark libccfits-doc as Multi-Arch: foreign.
  * Bump Standards-Version to 4.5.0.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 Feb 2020 19:31:57 +0100
