=== debian/control ===
Source: ccfits
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper-compat (= 12), chrpath, libcfitsio-dev, g++ (>= 4:5.2)
Build-Depends-Indep: doxygen-latex
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/

Package: libccfits0v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libccfits0
Replaces: libccfits0
Description: shared library for I/O with FITS format data files
 CCfits is an object oriented interface to the cfitsio library. It is
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the
 C++ Standard Library with namespaces, exception handling, and member
 template functions.
 .
 This package contains what you need to run programs that use this
 library.

Package: libccfits-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libccfits0v5 (= ${binary:Version}), libcfitsio-dev, ${misc:Depends}
Suggests: libccfits-doc
Description: static library for I/O with FITS format data files
 CCfits is an object oriented interface to the cfitsio library. It is
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the
 C++ Standard Library with namespaces, exception handling, and member
 template functions.
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

Package: libccfits-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: documentation for CCfits
 CCfits is an object oriented interface to the cfitsio library. It is
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the
 C++ Standard Library with namespaces, exception handling, and member
 template functions.
 .
 This package contains the CCFits reference manual in html and PDF
 format.
