## ccfits 2.6+dfsg

=== debian/changelog ===
ccfits (2.6+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Drop debian/patches/03-doxygen-fixes.patch, upstreamed.
  * Switch to debhelper 12.
  * Add a watch file.
  * Bump Standards-Version to 4.6.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Aug 2021 21:01:02 +0200
