=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: ccfits
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper-compat (= 12), chrpath, libcfitsio-dev, g++ (>= 4:5.2)
+Maintainer: Aurelien Jarno <aurel32@debian.org>
+Build-Depends: debhelper-compat (= 13), chrpath, libcfitsio-dev
 Build-Depends-Indep: doxygen-latex
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/
 
 Package: libccfits0v5
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
