=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_CXXFLAGS_MAINT_PREPEND=-std=c++11
 
 %:
 	dh $@
@@ -17,3 +15,4 @@
 override_dh_install:
 	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/libCCfits.so.*
 	dh_install
+
