=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// \
     https://heasarc.gsfc.nasa.gov/fitsio/CCfits/ CCfits-(.+)\.tar\.gz
