=== debian/changelog ===
ccfits (2.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add Vcs-git and Vcs-browser to debian/control
  * Set the "Maintainer" field to Debian Astronomy Maintainers
    <debian-astro-maintainers@lists.alioth.debian.org>, move myself to the
    "Uploaders" field
  * Rewrite debian/copyright in Machine-readable format
  * Update debian/watch
  * Remove breaks/replace against jessie packages
  * Set DEB_BUILD_MAINT_OPTIONS = hardening=+all to make lintian happier.
  * Bump Standards-Version to 4.7.2 (no changes)
  * Drop debian/libccfits0v5.shlibs

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 05 Apr 2025 00:42:01 +0200
