=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: ccfits
 Section: libs
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper-compat (= 13), chrpath, libcfitsio-dev
 Build-Depends-Indep: doxygen-latex
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/ccfits
+Vcs-Git: https://salsa.debian.org/debian-astro-team/ccfits.git
 
 Package: libccfits0v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libccfits0
-Replaces: libccfits0
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: shared library for I/O with FITS format data files
  CCfits is an object oriented interface to the cfitsio library. It is
  designed to make the capabilities of cfitsio available to  programmers
