=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
 
 %:
 	dh $@
@@ -12,7 +15,5 @@
 	$(MAKE) docs
 	$(MAKE) -C latex
 
-override_dh_install:
+execute_after_dh_auto_install:
 	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/libCCfits.so.*
-	dh_install
-
