=== debian/watch ===
version=4
opts=compression=gzip,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
     https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/ccfits/ CCfits-(.+)\.tar\.gz
